Package org.tmatesoft.svn.core.wc2

## Interface ISvnObjectReceiver<T>

- Type Parameters:
    `T` - type of received object
  All Known Implementing Classes:
    `AbstractSvnCommit`, `SvnAnnotate`, `SvnCommit`, `SvnDiffSummarize`, `SvnGetChangelistPaths`, `SvnGetInfo`, `SvnGetProperties`, `SvnGetStatus`, `SvnImport`, `SvnList`, `SvnLog`, `SvnLogMergeInfo`, `SvnReceivingOperation`, `SvnRemoteCopy`, `SvnRemoteDelete`, `SvnRemoteMkDir`, `SvnRemoteSetProperty`, `SvnRepositoryCopyRevisionProperties`, `SvnRepositoryDump`, `SvnRepositoryFilter`, `SvnRepositoryGetChanged`, `SvnRepositoryGetChangedDirectories`, `SvnRepositoryGetHistory`, `SvnRepositoryGetTree`, `SvnRepositoryInitialize`, `SvnRepositoryListLocks`, `SvnRepositoryListTransactions`, `SvnRepositoryLoad`, `SvnRepositoryPack`, `SvnRepositoryReceivingOperation`, `SvnRepositoryRecover`, `SvnRepositoryRemoveLocks`, `SvnRepositoryRemoveTransactions`, `SvnRepositorySynchronize`, `SvnRepositoryUpgrade`, `SvnRepositoryVerify`, `SvnSetLock`, `SvnSetProperty`, `SvnUnlock`

      public interface ISvnObjectReceiver<T>

  This interface describes the operation that can receive object(s). Implementation is `SvnReceivingOperation`, and many intermediate classes for 1.6 compatibility (classes that deal with handlers). Clients can provide their own handlers for receiving the object(s) by implementing this interface and assign them in `SvnReceivingOperation.setReceiver(ISvnObjectReceiver)`.
  Version:
    1.7
  Author:
    TMate Software Ltd.
  See Also:
    `SvnReceivingOperation`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `receive​(SvnTarget target, T object)` | Receives object with is target.

- - ### Method Detail

    - #### receive

          void receive​(SvnTarget target,
                       T object)
                throws SVNException

      Receives object with is target.
      Parameters:
        `target` - target of the object
        `object` - object
      Throws:
        `SVNException`